#include "ti86asm.inc" ;MAIN INCLUDE FILE
.org _asm_exec_ram    ; START ADDRESS

    nop
    jp start
    .dw 0
    .dw ShellTitle

ShellTitle:
    .db "Ultima: Valor - Avatar",0
    
start:        ;Start Label
 ld hl,PIC   ; load where the picture is into HL
 call _runindicoff ; turn the runindicator off
 ld (Y),hl   ; Store the picture's location into temp variable 'Y'
MAIN_LOOP:    ; another label
 call DELAY   ; calls the delay routine
 call LOAD_PIC  ; calls the routine 'LOAD_PIC'
STOP_SCROLL:
 call _getky   ; get a keypress...
 cp K_CLEAR   ; compare the keypress with the 'CLEAR' key
 jp z,THE_END  ; if the 'CLEAR' key was pressed then jump to 'THE_END'
 cp K_DOWN
 jr z, DOWN_A_ROW  ; calls the 'DOWN_A_ROW' routine
 cp K_UP
 jr z, UP_A_ROW
 jr MAIN_LOOP  ; jump to 'MAIN_LOOP'
 
LOAD_PIC:    ; label 'LOAD_PIC'
 ld hl,(Y)   ; load the location stored in 'Y' into 'HL'
 ld de,$fc00   ; load $FC00 (graph mem) into 'DE'
 ld bc,1024   ; load the amount of bytes you want to display at the 
      ; graph memory... screen is 16 bytes across and 64 pixels
      ; high.  16*64 = 1024
 ldir    ; load, increment, repeat! (AWESOME!!!)
 ret     ; return to where this routine was called
DELAY:     ; label 'DELAY'
 ld b,5    ; load 5 into 'B'
 ei     ; enable interrupts
DELAY_LOOP:    ; label 'DELAY_LOOP'
 halt    ; pauses the system until the next interrupt occurs
 halt    ; pauses the system until the next interrupt occurs
 djnz DELAY_LOOP  ; decrease 'b' and if b<>0 jump to 'DELAY_LOOP'
 di     ; disable interrupts
 ret     ; return to where this routine was called
THE_END:    ; label 'THE_END'
 res 4,(iy+$09)
 xor a ;reset the place to 0 for next time
 ld (PLACE),a
 call _clrScrn
 call _homeup
 ret     ; return to the operating system
 
UP_A_ROW:
 ld a,(PLACE)
 cp 0
 jr z, STOP_SCROLL
 
 ld hl,(Y)   ; load temp variable 'Y' into 'HL' 
 ld b,64    ; load 16 into 'b' (double time!)WoC
UP_LOOP:    ; label 'DOWN_LOOP'
 dec hl    ; increase the value in 'HL'
 djnz UP_LOOP  ; decrease 'b' and if 'b' <> 0 then jump to 'DOWN_LOOP'
 ld (Y),hl   ; load the value in 'HL' into 'Y'
 ld a,(PLACE)  ; load 'PLACE' into 'a'
 dec a    ; increase 'a'
 ld (PLACE),a  ; load a back into 'PLACE'  (place holds the y value for
      ; the picture...  when PLACE = 3  the picture has been
      ; scrolled down 3 rows,  when PLACE = 255  the picture
      ; is done scrolling.  why 255?  because the picture is
      ; 319 pixels high.  319 - 64 = 255 
 jr MAIN_LOOP     ; return to where this routine was called

DOWN_A_ROW:    ; label 'DOWN_A_ROW'    <--- scrolls the picture down 1 row
 ld a,(PLACE)
 cp 42        ;quartered from (232-64), 168/4
 jr z, STOP_SCROLL
 
 ld hl,(Y)   ; load temp variable 'Y' into 'HL' 
 ld b,64    ; load 16 into 'b' (double time!)WoC
DOWN_LOOP:    ; label 'DOWN_LOOP'
 inc hl    ; increase the value in 'HL'
 djnz DOWN_LOOP  ; decrease 'b' and if 'b' <> 0 then jump to 'DOWN_LOOP'
 ld (Y),hl   ; load the value in 'HL' into 'Y'
 ld a,(PLACE)  ; load 'PLACE' into 'a'
 inc a    ; increase 'a'
 ld (PLACE),a  ; load a back into 'PLACE'  (place holds the y value for
      ; the picture...  when PLACE = 3  the picture has been
      ; scrolled down 3 rows,  when PLACE = 255  the picture
      ; is done scrolling.  why 255?  because the picture is
      ; 319 pixels high.  312 - 64 = 248 
 jr MAIN_LOOP     ; return to where this routine was called
 
PLACE:     ; TEMP VARIABLE 'PLACE'
 .db 0    ; define byte
Y:      ; TEMP VARIABLE 'Y'
 .db 0    ; define byte
PIC:
 ; Email me with questions or comments  JxsnT@aol.com
 ; Used Picture Maker 1.3 by CandyMan
 ; The Avatar character in slash stance from my new game: Ultima: Valor
 ; Width:128 Height:232 (3712 bytes) (232 is divisible by 4)
 .db $0F,$FE,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $38,$01,$E0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $70,$01,$FE,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $C0,$00,$0F,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $FF,$00,$00,$0F,$E0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $FF,$F8,$00,$00,$3E,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$0F,$FE,$00,$03,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$0F,$E0,$00,$0E,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$FF,$E0,$03,$E0,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$3F,$FF,$00,$3E,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$07,$F0,$03,$80,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$FF,$00,$78,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$03,$F8,$07,$80,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$1E,$00,$78,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$07,$80,$07,$C0,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$F0,$00,$F0,$00,$00,$00,$00,$00,$00
 .db $00,$7E,$00,$00,$00,$00,$00,$1F,$E0,$1C,$00,$00,$00,$00,$00,$00
 .db $00,$DF,$F8,$00,$00,$00,$00,$01,$FE,$07,$E0,$00,$00,$00,$00,$00
 .db $00,$DF,$F8,$00,$00,$00,$00,$00,$0F,$80,$7C,$00,$1C,$00,$00,$00
 .db $01,$B0,$00,$00,$00,$00,$00,$00,$00,$FC,$0F,$E0,$27,$00,$00,$00
 .db $01,$E0,$00,$00,$00,$00,$00,$00,$00,$3F,$C0,$FC,$31,$80,$00,$00
 .db $01,$C0,$00,$00,$00,$00,$00,$00,$00,$01,$F8,$0F,$11,$80,$00,$00
 .db $03,$C0,$00,$00,$00,$E0,$00,$00,$00,$00,$3E,$01,$F1,$00,$00,$00
 .db $03,$80,$00,$00,$00,$F0,$00,$00,$00,$00,$03,$80,$39,$83,$80,$00
 .db $03,$80,$00,$00,$00,$F8,$00,$00,$00,$00,$00,$F0,$11,$FF,$C0,$00
 .db $03,$80,$00,$00,$00,$3E,$00,$00,$00,$00,$00,$1C,$1B,$FF,$E7,$80
 .db $02,$80,$00,$00,$00,$1E,$00,$00,$00,$00,$00,$07,$DB,$08,$E7,$C0
 .db $02,$80,$00,$00,$00,$0F,$00,$00,$00,$00,$00,$00,$FD,$80,$3C,$F0
 .db $03,$80,$00,$00,$00,$07,$80,$00,$00,$00,$00,$00,$18,$80,$18,$70
 .db $03,$C0,$00,$00,$00,$03,$80,$00,$00,$00,$00,$00,$18,$80,$18,$38
 .db $03,$40,$00,$00,$00,$03,$C0,$00,$00,$00,$00,$00,$11,$C0,$18,$1C
 .db $01,$60,$00,$00,$00,$01,$C0,$00,$00,$00,$00,$00,$10,$E0,$3C,$1C
 .db $01,$A0,$00,$00,$00,$01,$C0,$00,$00,$00,$00,$00,$33,$70,$FC,$04
 .db $00,$B0,$00,$00,$00,$00,$E0,$00,$00,$00,$00,$00,$33,$B3,$F6,$06
 .db $00,$D0,$00,$00,$00,$00,$E0,$00,$00,$00,$00,$00,$17,$FF,$03,$FE
 .db $00,$4C,$00,$00,$00,$00,$E0,$00,$00,$00,$00,$00,$1F,$FC,$03,$FF
 .db $00,$66,$00,$00,$00,$01,$E0,$00,$00,$00,$00,$00,$1E,$0C,$03,$FF
 .db $00,$37,$00,$00,$00,$01,$E0,$00,$00,$00,$00,$00,$00,$04,$01,$CF
 .db $00,$1B,$C0,$00,$00,$01,$E0,$00,$00,$00,$00,$00,$00,$06,$01,$CF
 .db $00,$0C,$E0,$00,$00,$03,$C0,$00,$00,$00,$00,$00,$00,$06,$01,$CF
 .db $00,$0E,$38,$00,$00,$07,$C0,$00,$00,$00,$00,$00,$00,$06,$01,$C0
 .db $00,$07,$5E,$00,$00,$0F,$C0,$00,$00,$00,$03,$80,$00,$06,$01,$C0
 .db $00,$01,$87,$E0,$00,$3F,$80,$00,$00,$00,$1F,$E0,$00,$06,$01,$C0
 .db $00,$00,$EA,$FE,$03,$FF,$80,$00,$00,$00,$3F,$F8,$00,$0E,$00,$C0
 .db $00,$00,$75,$5F,$FF,$FF,$00,$00,$00,$00,$7F,$FC,$00,$1E,$00,$C0
 .db $00,$00,$1C,$AD,$FF,$FE,$00,$00,$00,$01,$FE,$0E,$00,$1E,$00,$C0
 .db $00,$00,$07,$AB,$AF,$FC,$00,$00,$00,$03,$F0,$07,$00,$3E,$00,$C0
 .db $00,$00,$01,$FD,$7F,$F0,$00,$00,$00,$07,$E0,$03,$80,$7F,$00,$C0
 .db $00,$00,$00,$3F,$FF,$C0,$00,$00,$00,$0F,$C0,$01,$C0,$E7,$00,$40
 .db $00,$00,$00,$03,$FC,$00,$00,$00,$00,$1F,$80,$00,$E1,$C6,$00,$40
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$00,$00,$E1,$86,$00,$40
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$7F,$20,$00,$E1,$C6,$00,$C0
 .db $00,$00,$00,$00,$00,$00,$00,$00,$01,$FC,$C0,$00,$F1,$E6,$7C,$E0
 .db $00,$00,$03,$FC,$00,$00,$00,$00,$07,$FF,$60,$03,$FF,$FE,$00,$60
 .db $00,$00,$0F,$DF,$80,$00,$00,$00,$07,$FF,$C8,$0F,$FF,$DE,$00,$70
 .db $00,$00,$1C,$1B,$F0,$00,$00,$00,$07,$FF,$80,$7F,$FF,$C6,$00,$F0
 .db $00,$00,$32,$A2,$FC,$00,$00,$00,$03,$FF,$70,$70,$9F,$E7,$01,$F0
 .db $00,$00,$20,$5F,$DE,$00,$00,$00,$03,$FE,$F0,$00,$3C,$FF,$FF,$F0
 .db $00,$00,$63,$FF,$FF,$00,$00,$00,$03,$FF,$78,$03,$F8,$7B,$FF,$E0
 .db $00,$00,$4F,$00,$7F,$80,$00,$00,$0F,$FF,$80,$03,$FF,$F3,$0F,$C0
 .db $00,$00,$58,$00,$0F,$C0,$00,$00,$1F,$7F,$FF,$FF,$FF,$FF,$7F,$C0
 .db $00,$00,$58,$00,$03,$C0,$00,$00,$38,$FF,$FF,$FF,$87,$FF,$3D,$C0
 .db $00,$00,$70,$00,$00,$E0,$00,$00,$3B,$FF,$FF,$FF,$80,$1F,$9B,$C0
 .db $00,$00,$70,$00,$00,$70,$00,$00,$7F,$FF,$EF,$FE,$00,$0F,$EF,$C0
 .db $00,$00,$70,$00,$00,$70,$00,$00,$3B,$DF,$CF,$C0,$00,$0D,$93,$C0
 .db $00,$00,$38,$00,$00,$30,$00,$00,$37,$FF,$CF,$00,$00,$8D,$DF,$C0
 .db $00,$00,$38,$00,$00,$38,$00,$00,$3F,$FF,$FF,$C0,$00,$4E,$EF,$C0
 .db $00,$00,$1E,$00,$00,$78,$00,$00,$7F,$FF,$FF,$80,$00,$8E,$E7,$C0
 .db $00,$00,$1F,$00,$00,$78,$00,$00,$6F,$FF,$F9,$00,$00,$1F,$7D,$80
 .db $00,$00,$0F,$C0,$00,$F8,$00,$00,$6E,$EF,$F8,$00,$00,$3A,$3F,$80
 .db $00,$00,$06,$FE,$0F,$F8,$00,$00,$4F,$E0,$18,$00,$00,$73,$0F,$80
 .db $00,$00,$03,$BF,$FF,$F8,$00,$00,$5D,$E0,$78,$00,$01,$F3,$0F,$00
 .db $00,$00,$01,$EB,$5F,$F0,$00,$00,$DF,$C0,$F8,$00,$01,$B3,$1E,$00
 .db $00,$00,$00,$7A,$FF,$F0,$00,$00,$9F,$81,$F8,$10,$03,$33,$FC,$00
 .db $00,$00,$00,$1F,$5F,$E0,$00,$00,$BE,$03,$DC,$78,$06,$73,$F8,$00
 .db $00,$00,$00,$07,$FF,$C0,$00,$00,$FE,$07,$0C,$78,$1C,$F3,$C0,$00
 .db $00,$00,$00,$00,$7E,$00,$00,$01,$7C,$0E,$06,$70,$19,$FF,$80,$00
 .db $00,$00,$00,$00,$00,$00,$00,$01,$78,$0C,$06,$60,$7F,$FF,$80,$00
 .db $00,$00,$3F,$F0,$00,$00,$00,$01,$78,$08,$07,$01,$FF,$FF,$80,$00
 .db $00,$01,$FD,$FE,$00,$00,$00,$03,$78,$10,$03,$87,$FF,$FF,$00,$00
 .db $00,$03,$D5,$6F,$80,$00,$00,$03,$F8,$30,$01,$CF,$FF,$80,$00,$00
 .db $00,$0E,$A9,$5F,$E0,$00,$00,$06,$F0,$30,$00,$FC,$F2,$00,$00,$00
 .db $00,$1D,$17,$EA,$F0,$00,$00,$06,$F0,$30,$00,$38,$E0,$00,$00,$00
 .db $00,$38,$7F,$FF,$F8,$00,$00,$04,$F0,$70,$00,$1D,$C0,$00,$00,$00
 .db $00,$31,$E0,$0F,$FC,$00,$00,$05,$F0,$F0,$00,$1F,$80,$00,$00,$00
 .db $00,$67,$00,$00,$BE,$00,$00,$0D,$F1,$98,$00,$3F,$80,$00,$00,$00
 .db $00,$CE,$00,$00,$7F,$00,$00,$09,$FB,$18,$00,$7F,$80,$00,$00,$00
 .db $00,$DC,$00,$00,$3F,$80,$00,$19,$FF,$08,$01,$E3,$80,$00,$00,$00
 .db $01,$90,$00,$00,$1F,$80,$00,$1B,$FC,$08,$03,$E1,$80,$00,$00,$00
 .db $01,$B0,$00,$00,$0F,$C0,$00,$13,$F0,$0C,$05,$C1,$00,$00,$00,$00
 .db $01,$60,$00,$00,$07,$E0,$00,$13,$D8,$0C,$3D,$83,$80,$00,$00,$00
 .db $03,$60,$00,$00,$03,$E0,$00,$13,$CC,$0E,$F9,$07,$80,$00,$00,$00
 .db $03,$40,$00,$00,$01,$E0,$00,$37,$C6,$07,$E2,$0F,$C0,$00,$00,$00
 .db $03,$C0,$00,$00,$01,$F0,$00,$36,$83,$07,$E6,$1F,$C0,$00,$00,$00
 .db $02,$80,$00,$00,$01,$F0,$00,$34,$C1,$80,$14,$3F,$80,$00,$00,$00
 .db $02,$80,$00,$00,$00,$F0,$00,$3C,$C0,$C0,$08,$73,$00,$00,$00,$00
 .db $03,$80,$00,$00,$00,$F8,$00,$3C,$E0,$6E,$18,$F6,$00,$00,$00,$00
 .db $02,$80,$00,$00,$00,$F8,$00,$38,$F0,$38,$31,$F6,$00,$00,$00,$00
 .db $03,$B8,$00,$00,$00,$F8,$00,$78,$98,$30,$73,$FE,$00,$00,$00,$00
 .db $03,$BF,$00,$00,$00,$F8,$00,$79,$8C,$38,$47,$F0,$00,$00,$00,$00
 .db $03,$93,$F8,$00,$00,$78,$00,$79,$86,$3F,$FF,$F0,$00,$00,$00,$00
 .db $02,$94,$7F,$C0,$00,$78,$00,$F9,$87,$3F,$FF,$E0,$00,$00,$00,$00
 .db $03,$91,$57,$FC,$00,$78,$00,$FD,$83,$9F,$FF,$C0,$00,$00,$00,$00
 .db $03,$DE,$15,$5F,$C0,$78,$00,$F9,$87,$DF,$FF,$C0,$00,$00,$00,$00
 .db $01,$DF,$E9,$7B,$F8,$78,$00,$F1,$8E,$FF,$8F,$C0,$00,$00,$00,$00
 .db $01,$F8,$FF,$57,$FE,$78,$00,$F3,$FC,$3F,$BF,$C0,$00,$00,$00,$00
 .db $01,$F0,$0F,$FD,$FF,$F0,$01,$F7,$F8,$0F,$FF,$C0,$00,$00,$00,$00
 .db $00,$E0,$00,$7F,$FF,$F0,$01,$E7,$C0,$07,$FF,$C0,$00,$00,$00,$00
 .db $00,$E0,$00,$0F,$FF,$F0,$00,$FC,$00,$00,$E0,$60,$00,$00,$00,$00
 .db $00,$E0,$00,$00,$FF,$F0,$01,$FC,$00,$00,$01,$C0,$00,$00,$00,$00
 .db $00,$70,$00,$00,$1F,$F0,$01,$FF,$00,$00,$47,$C0,$00,$00,$00,$00
 .db $00,$78,$00,$00,$03,$F0,$01,$EF,$C0,$07,$F7,$80,$00,$00,$00,$00
 .db $00,$3C,$00,$00,$00,$F0,$03,$67,$F6,$3F,$F3,$80,$00,$00,$00,$00
 .db $00,$3C,$00,$00,$00,$70,$03,$E3,$FF,$FF,$F7,$C0,$00,$00,$00,$00
 .db $00,$1E,$00,$00,$00,$70,$07,$FF,$7F,$FF,$FF,$C0,$00,$00,$00,$00
 .db $00,$0F,$00,$00,$E0,$30,$03,$FF,$FB,$FF,$FD,$C0,$00,$00,$00,$00
 .db $00,$07,$80,$01,$F0,$30,$07,$FF,$FF,$FF,$F9,$C0,$00,$00,$00,$00
 .db $00,$03,$E0,$03,$F0,$30,$07,$FE,$7F,$FE,$09,$E0,$00,$00,$00,$00
 .db $00,$01,$F8,$07,$E0,$00,$07,$FF,$0F,$C0,$03,$C0,$00,$00,$00,$00
 .db $00,$00,$7E,$1F,$E0,$00,$03,$F9,$C0,$00,$0F,$E0,$00,$00,$00,$00
 .db $00,$00,$1F,$FF,$C0,$00,$03,$C0,$F0,$00,$1F,$E0,$00,$00,$00,$00
 .db $00,$00,$0F,$FF,$80,$00,$07,$C0,$1C,$00,$67,$E0,$00,$00,$00,$00
 .db $00,$00,$00,$FC,$00,$00,$07,$F0,$07,$01,$E3,$C0,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$0F,$98,$03,$C7,$E1,$C0,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$0F,$EC,$00,$7F,$E3,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$0F,$FE,$00,$1F,$87,$C0,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$0F,$FF,$00,$00,$0E,$80,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$1F,$87,$80,$00,$1B,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$1F,$03,$C0,$00,$33,$80,$00,$00,$01,$00
 .db $00,$00,$00,$00,$00,$00,$1F,$01,$E0,$00,$6B,$00,$00,$00,$01,$00
 .db $00,$00,$3F,$FE,$00,$00,$1E,$40,$E0,$01,$C3,$80,$00,$03,$FF,$00
 .db $00,$00,$3F,$FE,$00,$00,$1C,$00,$30,$03,$87,$C0,$00,$04,$01,$00
 .db $00,$00,$30,$06,$00,$00,$1C,$00,$1C,$03,$07,$C0,$00,$08,$01,$00
 .db $00,$00,$30,$06,$00,$00,$1C,$00,$1E,$00,$07,$E0,$00,$08,$00,$00
 .db $00,$00,$30,$06,$00,$00,$18,$00,$1F,$00,$0E,$E0,$00,$08,$00,$00
 .db $00,$00,$30,$06,$00,$00,$1D,$00,$0D,$80,$0E,$70,$00,$08,$00,$00
 .db $00,$00,$30,$06,$00,$00,$1F,$00,$0D,$C0,$3E,$70,$00,$08,$01,$00
 .db $00,$00,$3F,$FE,$00,$00,$3E,$00,$0E,$E0,$FE,$30,$00,$04,$01,$00
 .db $00,$00,$3F,$FE,$00,$00,$1E,$00,$06,$71,$FE,$38,$00,$03,$FF,$00
 .db $00,$00,$00,$00,$00,$00,$3E,$00,$06,$7F,$F8,$18,$00,$00,$01,$00
 .db $00,$00,$00,$00,$00,$00,$7E,$00,$07,$1F,$F8,$1C,$00,$00,$01,$00
 .db $00,$00,$00,$00,$00,$00,$7C,$00,$03,$80,$F8,$0C,$00,$00,$00,$00
 .db $00,$00,$3F,$FE,$00,$00,$7C,$00,$01,$80,$EE,$0E,$00,$08,$02,$00
 .db $00,$00,$3F,$FE,$00,$00,$FC,$00,$01,$80,$FC,$0E,$00,$0F,$FF,$00
 .db $00,$00,$30,$06,$00,$00,$FC,$00,$01,$81,$D8,$07,$00,$08,$00,$00
 .db $00,$00,$30,$06,$00,$00,$F8,$00,$01,$81,$CC,$03,$00,$00,$00,$00
 .db $00,$00,$30,$06,$00,$01,$F8,$00,$03,$83,$CC,$03,$80,$00,$00,$00
 .db $00,$00,$30,$06,$00,$01,$F8,$00,$03,$03,$CC,$01,$80,$00,$10,$00
 .db $00,$00,$30,$06,$00,$03,$98,$00,$03,$06,$C0,$01,$C0,$07,$FE,$00
 .db $00,$00,$3F,$FE,$00,$03,$98,$00,$03,$0E,$C8,$00,$C0,$08,$10,$00
 .db $00,$00,$3F,$FE,$00,$07,$18,$00,$07,$0C,$C8,$00,$E0,$08,$10,$00
 .db $00,$00,$00,$00,$00,$07,$10,$00,$06,$0C,$F0,$00,$60,$00,$00,$00
 .db $00,$00,$00,$00,$00,$07,$10,$00,$06,$18,$F0,$00,$60,$08,$20,$00
 .db $00,$00,$00,$00,$00,$0E,$18,$00,$0E,$18,$F8,$00,$70,$0F,$F2,$00
 .db $00,$00,$00,$00,$00,$0E,$18,$00,$0C,$38,$F0,$00,$3A,$08,$00,$00
 .db $00,$00,$3F,$FE,$00,$1C,$1D,$00,$0C,$30,$F0,$00,$3F,$80,$00,$00
 .db $00,$00,$3F,$FE,$00,$1E,$7C,$00,$0C,$70,$E0,$00,$3C,$C0,$00,$00
 .db $00,$00,$30,$06,$00,$0F,$F8,$00,$0C,$70,$E0,$00,$38,$C8,$20,$00
 .db $00,$00,$30,$06,$00,$0F,$F8,$00,$1C,$F0,$E0,$00,$30,$CF,$F0,$00
 .db $00,$00,$30,$06,$00,$0F,$D8,$00,$1C,$60,$E0,$00,$30,$C8,$20,$00
 .db $00,$00,$30,$06,$00,$00,$18,$00,$3C,$00,$E0,$00,$71,$C0,$10,$00
 .db $00,$00,$30,$06,$00,$00,$18,$00,$3E,$00,$F0,$00,$60,$C0,$10,$00
 .db $00,$00,$3F,$FE,$00,$00,$18,$00,$7E,$00,$F8,$00,$E1,$C8,$10,$00
 .db $00,$00,$3F,$FE,$00,$00,$18,$01,$FE,$00,$EC,$01,$E1,$CF,$E0,$00
 .db $00,$00,$00,$00,$00,$00,$18,$07,$FE,$00,$E7,$01,$E3,$C8,$20,$00
 .db $00,$00,$00,$00,$00,$00,$10,$1F,$FE,$00,$E3,$83,$CF,$C0,$10,$00
 .db $00,$00,$00,$00,$00,$00,$10,$7E,$3E,$00,$C1,$E3,$CF,$C0,$10,$00
 .db $00,$00,$1F,$86,$00,$00,$10,$F0,$3E,$00,$C1,$9F,$CC,$C0,$10,$00
 .db $00,$00,$3F,$C6,$00,$00,$71,$E0,$3E,$00,$C1,$0F,$8D,$CF,$E0,$00
 .db $00,$00,$30,$C6,$00,$00,$F3,$80,$36,$07,$80,$BF,$03,$C8,$00,$00
 .db $00,$00,$30,$C6,$00,$01,$F3,$00,$66,$1F,$03,$EF,$01,$C0,$00,$00
 .db $00,$00,$30,$C6,$00,$01,$9E,$00,$67,$FC,$03,$8F,$01,$80,$00,$00
 .db $00,$00,$30,$C6,$00,$01,$8C,$00,$E7,$F8,$01,$1E,$01,$86,$20,$00
 .db $00,$00,$30,$C6,$00,$01,$CC,$1E,$E3,$F0,$01,$1C,$03,$89,$10,$00
 .db $00,$00,$30,$FE,$00,$01,$F8,$1C,$E0,$00,$01,$F8,$07,$08,$90,$00
 .db $00,$00,$30,$FE,$00,$03,$F8,$00,$C0,$00,$01,$FC,$0E,$08,$90,$00
 .db $00,$00,$00,$00,$00,$07,$18,$00,$C0,$00,$02,$1C,$0C,$04,$90,$00
 .db $00,$00,$00,$00,$00,$0E,$18,$01,$C0,$00,$02,$1C,$38,$0F,$E0,$00
 .db $00,$00,$00,$00,$00,$1C,$08,$01,$80,$00,$02,$0E,$78,$08,$00,$00
 .db $00,$00,$00,$00,$00,$78,$0C,$03,$00,$00,$06,$0F,$F0,$00,$00,$00
 .db $00,$00,$0F,$F8,$00,$70,$0E,$07,$00,$00,$06,$0F,$F0,$0C,$30,$00
 .db $00,$00,$10,$04,$00,$E0,$0F,$9E,$00,$00,$0E,$07,$F0,$0C,$30,$00
 .db $00,$00,$28,$12,$01,$E0,$0F,$FE,$00,$00,$1C,$00,$F0,$00,$00,$00
 .db $00,$00,$28,$12,$01,$C0,$07,$FC,$00,$00,$1C,$00,$C0,$00,$00,$00
 .db $00,$00,$28,$12,$03,$80,$00,$FC,$00,$00,$38,$01,$C0,$00,$00,$00
 .db $00,$00,$24,$22,$07,$00,$00,$70,$00,$00,$30,$01,$80,$00,$00,$00
 .db $00,$00,$23,$C2,$0E,$00,$00,$E0,$00,$00,$50,$03,$80,$00,$00,$00
 .db $00,$00,$10,$04,$0E,$00,$01,$C0,$00,$00,$70,$03,$00,$00,$00,$00
 .db $00,$00,$0F,$F8,$1C,$00,$01,$80,$00,$00,$E0,$07,$00,$00,$01,$00
 .db $00,$00,$00,$00,$10,$00,$03,$80,$00,$00,$E0,$0F,$00,$00,$0F,$00
 .db $00,$00,$00,$00,$30,$00,$07,$00,$00,$01,$C0,$0E,$00,$00,$31,$00
 .db $00,$00,$00,$00,$20,$00,$06,$00,$00,$01,$80,$1E,$00,$01,$C1,$00
 .db $00,$00,$00,$00,$C0,$00,$0C,$00,$00,$03,$00,$16,$00,$02,$00,$00
 .db $00,$00,$00,$01,$80,$00,$18,$00,$00,$03,$00,$1E,$00,$0C,$00,$00
 .db $00,$00,$00,$01,$80,$00,$10,$00,$00,$07,$00,$36,$00,$03,$00,$00
 .db $00,$00,$00,$03,$00,$00,$10,$00,$00,$06,$00,$66,$00,$00,$E1,$00
 .db $00,$00,$00,$07,$00,$00,$30,$00,$00,$06,$00,$CC,$00,$00,$1D,$00
 .db $00,$00,$00,$06,$00,$00,$60,$00,$00,$0E,$00,$CC,$00,$00,$03,$00
 .db $00,$00,$00,$0C,$00,$00,$60,$00,$00,$0C,$00,$CC,$00,$00,$01,$00
 .db $00,$00,$00,$18,$00,$00,$C0,$00,$00,$1C,$00,$0C,$00,$00,$00,$00
 .db $00,$00,$00,$38,$00,$01,$80,$00,$00,$38,$00,$1C,$00,$06,$20,$00
 .db $00,$00,$00,$70,$00,$01,$E0,$00,$00,$30,$00,$18,$00,$09,$10,$00
 .db $00,$00,$00,$60,$00,$07,$E0,$00,$00,$10,$00,$18,$00,$08,$90,$00
 .db $00,$00,$00,$C0,$00,$0E,$E0,$00,$00,$18,$00,$18,$00,$08,$90,$00
 .db $00,$00,$00,$C0,$00,$0C,$C0,$00,$00,$08,$00,$30,$00,$04,$90,$00
 .db $00,$00,$00,$80,$00,$0D,$C0,$00,$00,$0C,$00,$70,$00,$0F,$E0,$00
 .db $00,$00,$00,$80,$00,$19,$C0,$00,$00,$0F,$FF,$F0,$00,$08,$00,$00
 .db $00,$00,$01,$C0,$00,$11,$80,$00,$00,$0F,$FF,$00,$00,$00,$00,$00
 .db $00,$00,$01,$C0,$00,$13,$80,$00,$00,$13,$FD,$00,$00,$00,$00,$00
 .db $00,$00,$01,$F0,$00,$03,$C0,$00,$00,$13,$FF,$C0,$00,$08,$02,$00
 .db $00,$00,$03,$78,$00,$03,$80,$00,$00,$30,$77,$FC,$00,$0F,$FF,$00
 .db $00,$00,$03,$3E,$00,$03,$80,$00,$00,$30,$04,$7F,$C0,$08,$00,$00
 .db $00,$00,$03,$7F,$00,$07,$80,$00,$00,$30,$0C,$37,$F0,$00,$00,$00
 .db $00,$00,$06,$7F,$80,$3F,$00,$00,$00,$30,$18,$20,$38,$03,$C0,$00
 .db $00,$00,$06,$3F,$C0,$FC,$00,$00,$00,$3C,$18,$7F,$F8,$04,$20,$00
 .db $00,$00,$06,$07,$FF,$F8,$00,$00,$00,$37,$00,$71,$F8,$08,$10,$00
 .db $00,$00,$06,$03,$FF,$E0,$00,$00,$00,$3F,$FF,$EF,$F8,$08,$10,$00
 .db $00,$00,$0C,$7B,$0F,$00,$00,$00,$00,$1F,$FF,$FF,$F8,$08,$10,$00
 .db $00,$00,$0C,$7F,$04,$00,$00,$00,$00,$03,$FF,$FF,$F0,$04,$20,$00
 .db $00,$00,$08,$47,$00,$00,$00,$00,$00,$00,$00,$00,$00,$03,$C0,$00
 .db $00,$00,$08,$01,$80,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$08,$01,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$08,$01,$00,$00,$00,$00,$00,$00,$00,$00,$00,$08,$20,$00
 .db $00,$00,$18,$03,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$F0,$00
 .db $00,$00,$18,$3F,$00,$00,$00,$00,$00,$00,$00,$00,$00,$08,$20,$00
 .db $00,$00,$0C,$03,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$10,$00
 .db $00,$00,$06,$03,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$10,$00
 .db $00,$00,$07,$07,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$30,$00
 .db $00,$00,$03,$8E,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$78,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.end